% -*- MATLAB -*-
% Time-stamp: "2018-08-12 11:01:31 fujiwara"
%----------------------------------------------------------------------
%  Copyright (C) 2018, FUJIWARA,Hiroshi
%    <fujiwara@acs.i.kyoto-u.ac.jp>
%----------------------------------------------------------------------

function c = cond( a, varargin )

  if nargin == 1
    p = 2;
  elseif (nargin == 2) && ( varargin{1} == 1 )
    p = 1;
  elseif (nargin == 2) && ( varargin{1} == 2 )
    p = 2;
  elseif (nargin == 2) && ( strcmp(varargin{1}, 'inf') )
    p = 'inf';
  elseif (nargin == 2) && ( strcmp(varargin{1}, 'Inf') )
    p = 'inf';
  elseif (nargin == 2)
    error ('cond(): unrecognized vector norm.');
    return
  else
    error ('Invalid call to cond.');
    return
  end

  ainv = inv(a);
  c = norm(a,p) * norm(ainv,p);

  return

end

%----------------------------------------------------------------------
% End of file
%----------------------------------------------------------------------
