% -*- MATLAB -*-
% Time-stamp: "2015-08-05 20:10:51 user"
%----------------------------------------------------------------------
%  Copyright (C) 2015, FUJIWARA,Hiroshi
%    <fujiwara@acs.i.kyoto-u.ac.jp>
%----------------------------------------------------------------------

function b = log10( a )

  [row,col] = size( a );

  c = exfloat('#ln10');

  for n=1:col
    for m=1:row

      x = exfloat( a(m,n) );
      b(m,n) = log( x ) / c;

    end
  end

end

%----------------------------------------------------------------------
% End of file
%----------------------------------------------------------------------
