% -*- MATLAB -*-
% Time-stamp: "2015-06-30 21:03:03 user"
%----------------------------------------------------------------------
%  Copyright (C) 2015, FUJIWARA,Hiroshi
%    <fujiwara@acs.i.kyoto-u.ac.jp>
%----------------------------------------------------------------------

function p = mpower( a, b )

  [arow,acol] = size( a );

  % brow == bcol should be one.

  %------------------------------
  % a is scalar
  %------------------------------
  if ( (arow == 1) & (acol == 1) )
  
    x = exfloat( a );
    y = exfloat( b );
    p = exfloat();

    worksize = uint32( (exfloat.size64 + 1)*5 );
    work = zeros(worksize,1, 'uint64');

    invtablesize = uint32( (exfloat.size64 + 2) * 500 );
    invtable = zeros(invtablesize,1, 'uint64');

    exflib_float_pow(p.num, x.num, y.num, exfloat.precision64, work, invtable);

%  roundinfo = 0;
%  exflib_float_round_near(c.num, roundinfo, exfloat.precision64);

    return

  end

  %------------------------------
  % a is a square matrix.
  %------------------------------
  error('Not yet implemented');

%----------------------------------------------------------------------
% End of file
%----------------------------------------------------------------------
