% -*- MATLAB -*-
% Time-stamp: "2015-08-05 20:15:42 user"
%----------------------------------------------------------------------
%  Copyright (C) 2015, FUJIWARA,Hiroshi
%    <fujiwara@acs.i.kyoto-u.ac.jp>
%----------------------------------------------------------------------

function b = uminus( a )

  [row,col] = size( a );

  for n=1:col
    for m=1:row

      x = exfloat( a(m,n) );
      b(m,n) = exfloat();
      b(m,n).num = x.num;
      if bitget( b(m,n).num(1), 64 ) == 0
        b(m,n).num(1) = x.num(1) + exfloat.SIGN;  % b(m,n) is positive
      else
          b(m,n).num(1) = x.num(1) - exfloat.SIGN; % b(m,n) is negative
      end

    end
  end

end

%----------------------------------------------------------------------
% End of file
%----------------------------------------------------------------------
