/* -*- C -*- */
/* Time-stamp: "2015-06-30 20:55:29 user" */
/*----------------------------------------------------------------------*/
/*  Copyright (C) 2015, FUJIWARA Hiroshi                                */
/*    <fujiwara@acs.i.kyoto-u.ac.jp>                                    */
/*----------------------------------------------------------------------*/
#include "mex.h"
#include "exfloat.h"

enum { bufsize = 65536 };

void mexFunction(int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[])
{
  /* const int length = mxGetNumberOfElements( prhs[0] ); */
  /* char *src = (char*)mxGetPr( prhs[0] ); */
  unsigned long long *const x = (unsigned long long*)mxGetData( prhs[1] );
  const size_t N = mxGetScalar( prhs[2] );

  char expression[bufsize];
  mxGetString(prhs[0], expression, bufsize);

  exflib_float_ctoef(expression, x, N);

  return;
}

/* End of file */
