% -*- MATLAB -*-
function h = exflib_hilb ( size )

  exfloat_size = 1 + exfloat.get_exfloat_precision64;
  work = uint64( 1 : ((2*size-1)*exfloat_size) );

  exflib_mex_hilb(work, 2*size-1, exfloat.get_exfloat_precision64);

  h(size,size) = exfloat();

  for i=1:size
    for j=1:size
      idx = (i+j-2)*exfloat_size;
      h(i,j).num(1:exfloat_size) = work( idx+1:idx+exfloat_size );
    end
  end

%--------------------------------------------------
%  % first column
%  h(1,1) = exfloat( 1 );
%  for i=2:size
%    h(i,1) = h(1,1) / i;
%  end
%
%  for j=2:size
%
%    for i=1:size-1
%      h(i,j) = h(i+1,j-1);
%    end
%
%    % lowest row
%    h(size,j) = exfloat( 1 ) / (size+j-1);
%
%  end
%--------------------------------------------------

end
