% -*- MATLAB -*-
% Time-stamp: "2015-08-05 20:05:37 user"
%----------------------------------------------------------------------
%  Copyright (C) 2015, FUJIWARA,Hiroshi
%    <fujiwara@acs.i.kyoto-u.ac.jp>
%----------------------------------------------------------------------

function b = acos( a )

  [row,col] = size( a );

  PI2 = exfloat('#PI');
  PI2.num(1) = PI2.num(1) - 1;

  for n=1:col
    for m=1:row

      % acos(x) = PI/2 - asin(x)

      x = exfloat( a(m,n) );
      y = asin( x );
      b(m,n) = PI2 - y;

    end
  end

end

%----------------------------------------------------------------------
% End of file
%----------------------------------------------------------------------
