% -*- MATLAB -*-
% Time-stamp: "2015-11-08 20:31:04 user"
%----------------------------------------------------------------------
%  Copyright (C) 2015, FUJIWARA,Hiroshi
%    <fujiwara@acs.i.kyoto-u.ac.jp>
%----------------------------------------------------------------------

function v = dot( a, b )

  exfloat_size = 1+exfloat.precision64;
  N = length( a );

  array = uint64( 1:2*N*exfloat_size );
  
  for m=1:N
    idx = (m-1)*exfloat_size;
    array( idx+1:idx+exfloat_size ) = a(m).num(1:exfloat_size);
  end
  
  for m=1:N
    idx = (N+m-1)*exfloat_size;
    array( idx+1:idx+exfloat_size ) = b(m).num(1:exfloat_size);
  end

  v = exfloat();
  work = uint64( 1:exfloat_size );
  exflib_mex_dot(v.num, array, N, exfloat.precision64, work);

end

%----------------------------------------------------------------------
% End of file
%----------------------------------------------------------------------
