% -*- MATLAB -*-
% Time-stamp: "2015-08-05 20:07:26 user"
%----------------------------------------------------------------------
%  Copyright (C) 2015, FUJIWARA,Hiroshi
%    <fujiwara@acs.i.kyoto-u.ac.jp>
%----------------------------------------------------------------------

function v = max ( a )

  [arow,acol] = size( a );

  %------------------------------
  % a is a vector
  %------------------------------
  if(arow == 1)

    v = exfloat( a(1) );

    for n=2:acol
        
      x = exfloat( a(n) );

      if exflib_float_lt(v.num, x.num, exfloat.precision64)
        v = x;
      end

    end 

    return

  end

  %------------------------------
  % a is a matrix
  %------------------------------
  for n=1:acol

    v(n) = exfloat( a(1,n) );

    for m=2:arow

      x = exfloat( a(m,n) );

      if exflib_float_lt(v(n).num, x.num, exfloat.precision64)
        v(n).num = x.num;
      end

    end

  end

end

%  Find indices : 'Not yet implemented'

%----------------------------------------------------------------------
% End of file
%----------------------------------------------------------------------
