% -*- MATLAB -*-
% Time-stamp: "2015-08-05 20:14:02 user"
%----------------------------------------------------------------------
%  Copyright (C) 2015, FUJIWARA,Hiroshi
%    <fujiwara@acs.i.kyoto-u.ac.jp>
%----------------------------------------------------------------------

function b = sin( a )

  % temporary storage
  worksize = uint32( (exfloat.size64 + 1)*5 );
  work = zeros(worksize,1, 'uint64');

  [row,col] = size( a );

  for n=1:col
    for m=1:row

      x = exfloat( a(m,n) );
      b(m,n) = exfloat();
      exflib_float_sin(b(m,n).num, x.num, exfloat.precision64, work);

    end
  end

end

%  roundinfo = 0;
%  exflib_float_round_near(c.num, roundinfo, exfloat.precision64);

%----------------------------------------------------------------------
% End of file
%----------------------------------------------------------------------
