/* -*- C -*- */
/* Time-stamp: "2015-06-27 20:19:16 user" */
/*----------------------------------------------------------------------*/
/*  Copyright (C) 2015, FUJIWARA Hiroshi                                */
/*    <fujiwara@acs.i.kyoto-u.ac.jp>                                    */
/*----------------------------------------------------------------------*/
#include "mex.h"
#include "exfloat.h"

void mexFunction(int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[])
{
  unsigned long long *const num = (unsigned long long*)mxGetData( prhs[0] );
  long long *const deci_pow     = (long long*)mxGetData( prhs[1] );
  unsigned long long *const b64 = (unsigned long long*)mxGetData( prhs[2] );
  const size_t N = mxGetScalar( prhs[3] );
  
  exflib_convert_pow(num, deci_pow, b64, N);

  return;
}

/* End of file */
