/* -*- C -*- */
/* Time-stamp: "2015-06-30 21:04:59 user" */
/*----------------------------------------------------------------------*/
/*  Copyright (C) 2015, FUJIWARA Hiroshi                                */
/*    <fujiwara@acs.i.kyoto-u.ac.jp>                                    */
/*----------------------------------------------------------------------*/
#include "mex.h"
#include "exfloat.h"

void mexFunction(int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[])
{
  unsigned long long *const y = (unsigned long long*)mxGetData( prhs[0] );
  unsigned long long *const x = (unsigned long long*)mxGetData( prhs[1] );

  const size_t N = mxGetScalar( prhs[2] );
  unsigned long long *const work = (unsigned long long*)mxGetData( prhs[3] );
  unsigned long long *const inv_table_atan = (unsigned long long*)mxGetData( prhs[4] );
  
  exflib_ulong roundinfo = exflib_float_atan( y, x, N, work, inv_table_atan );
  /*exflib_float_round_near(y, roundinfo, N);*/

  return;
}

/* End of file */
