/* -*- C -*- */
/* Time-stamp: "2015-06-30 20:55:20 user" */
/*----------------------------------------------------------------------*/
/*  Copyright (C) 2015, FUJIWARA Hiroshi                                */
/*    <fujiwara@acs.i.kyoto-u.ac.jp>                                    */
/*----------------------------------------------------------------------*/
#include "mex.h"
#include "exfloat.h"

void mexFunction(int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[])
{
  const double d = mxGetScalar( prhs[0] );
  unsigned long long *const x = (unsigned long long*)mxGetData( prhs[1] );
  const size_t N = mxGetScalar( prhs[2] );

  exflib_float_dtoef(d, x, N);

  return;
}

/* End of file */
