/* -*- C -*- */
/* Time-stamp: "2015-06-27 10:53:53 user" */
/*----------------------------------------------------------------------*/
/*  Copyright (C) 2015, FUJIWARA Hiroshi                                */
/*    <fujiwara@acs.i.kyoto-u.ac.jp>                                    */
/*----------------------------------------------------------------------*/
#include "mex.h"
#include "exfloat.h"

void mexFunction(int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[])
{
  unsigned long long *const x = (unsigned long long*)mxGetData( prhs[0] );

  const long l = mxGetScalar( prhs[1] );

  const size_t N = mxGetScalar( prhs[2] );

  exflib_float_ltoef(x, l, N);

  return;
}

/* End of file */
