/* -*- C -*- */
/* Time-stamp: "2015-06-27 12:56:56 user" */
/*----------------------------------------------------------------------*/
/*  Copyright (C) 2015, FUJIWARA Hiroshi                                */
/*    <fujiwara@acs.i.kyoto-u.ac.jp>                                    */
/*----------------------------------------------------------------------*/
#include "mex.h"
#include "exfloat.h"

void mexFunction(int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[])
{
  unsigned long long *const c = (unsigned long long*)mxGetData( prhs[0] );
  unsigned long long *const a = (unsigned long long*)mxGetData( prhs[1] );
  unsigned long long *const b = (unsigned long long*)mxGetData( prhs[2] );
  const size_t N = mxGetScalar( prhs[3] );
  
  exflib_ulong roundinfo = exflib_float_mul( c, a, b, N );
  exflib_float_round_near(c, roundinfo, N);

  return;
}

/* End of file */
