% -*- MATLAB -*-
function m = exflib_eye ( varargin )

  if length( varargin ) == 0
    cols = 1;
    rows = 1;
  elseif length(varargin) <= 1
    cols = varargin{1};
    rows = varargin{1};
  else
    cols = varargin{1};
    rows = varargin{2};
  end

  one = exfloat( 1 );
  zero = exfloat( 0 );

  for j=1:cols
    for i=1:rows
      m(i,j) = zero;
    end
  end

  for n=1:min(rows,cols)
    m(n,n) = one;
  end

end
