% -*- MATLAB -*-
function a = exflib_rand ( N, varargin )

  if (nargin == 0)
    a = exfloat();
    exflib_mex_rand(a.num, 1, exfloat.get_exfloat_precision64());
    return;
  elseif (nargin == 1)
    row = N;
    col = N;
  elseif (nargin >= 2)
    row = N;
    col = varargin{1};
  end 
  
  exfloat_size = 1 + exfloat.get_exfloat_precision64();
  work = uint64( 1:row*col*exfloat_size);

  exflib_mex_rand(work, row*col, exfloat.get_exfloat_precision64());

  a(row,col) = exfloat();

  for i=1:row
    for j=1:col
      idx = ( (i-1)*col+(j-1) ) * exfloat_size;
      a(i,j).num(1:exfloat_size) = work( idx+1:idx+exfloat_size );
    end
  end

end
