% -*- MATLAB -*-
clear classes
%------------------------------------------------------------------------------
% Specify where *.mexw64, *.mexmaci64, and *.mexa64 files are located.
% Followings are typical settings for Windows, MacOSX, and Linux respectively.
% Uncomment either of them, and change 'kyoto' to your real account.
%------------------------------------------------------------------------------
addpath( strcat( pwd, '/exflib' ) );

fprintf('exfloat precision=%f\n', exfloat.get_precision());
fprintf('exfloat req prec=%d\n', exfloat.get_req_precision());
%fprintf('exfloat size=%d bytes\n', exfloat.get_exfloat_byte());

size=1000;

fprintf('size=%d\n', size);

for n=1:size
  for m=1:size

    mat(n,m) = exfloat(1)/(n+m-1);

  end

  rhs(n,1) = exfloat(1);

end

tic; sol=mat\rhs; toc;

%tic
%sol=mat\rhs
%toc

fprintf('%d %s\n', 1, num2str(sol(1), '%.2f') );
fprintf('%d %s\n', size, num2str(sol(size), '%.2f') );

%for i=1:n
%    fprintf('%d %s\n', i, num2str(sol(i), '%.2f') );
%end
% End of file
